> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Form Submission

> Get a submission: the caller's own, or any with form:submission:read.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/forms/{form_id}/submissions/{submission_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/forms/{form_id}/submissions/{submission_id}:
    get:
      tags:
        - forms
      summary: Get Form Submission
      description: 'Get a submission: the caller''s own, or any with form:submission:read.'
      operationId: forms-get_form_submission
      parameters:
        - name: form_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Form Id
        - name: submission_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Submission Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormSubmissionRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    FormSubmissionRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        form_id:
          type: string
          format: uuid
          title: Form Id
        answers:
          additionalProperties: true
          type: object
          title: Answers
        submitted_by:
          anyOf:
            - $ref: '#/components/schemas/FormActorRead'
            - type: 'null'
        definition_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Definition Version
          description: Null without form:submission:read.
        wf_exec_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wf Exec Id
          description: Null without form:submission:read.
        run_status:
          anyOf:
            - type: string
              enum:
                - RUNNING
                - COMPLETED
                - FAILED
                - CANCELED
                - TERMINATED
                - CONTINUED_AS_NEW
                - TIMED_OUT
            - type: 'null'
          title: Run Status
          description: Null without form:submission:read, or if it is not known.
        submitted_at:
          type: string
          format: date-time
          title: Submitted At
        reference:
          type: string
          title: Reference
          description: Short code a requester can quote for a submission.
          readOnly: true
      type: object
      required:
        - id
        - form_id
        - answers
        - submitted_at
        - reference
      title: FormSubmissionRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FormActorRead:
      properties:
        type:
          type: string
          enum:
            - user
            - service_account
          title: Type
        id:
          type: string
          format: uuid
          title: Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Service account name.
      type: object
      required:
        - type
        - id
      title: FormActorRead
      description: Who submitted a form.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.